Set DateFormat DMY
Declare @BelgeNo nVarChar(32), @BNS nVarChar(64), @KartNo Int, @Kasa Int, @Aciklama varchar(64),
@Tarih DateTime, @Tutar decimal(18,8), @PersonelID Int, @CariID Integer, @PN Integer,
@PortfoyNo nVarChar(32), @KayitTarihi DateTime, @Banka Integer

SET @BelgeNo = 'B0000002'
Set @KartNo = 30

Set @Aciklama = ''
Set @PersonelID = 1
Set @CariID = 37
Set @Tarih = '24.11.2021'
Set @Tutar = 216.2000
Set @Kasa = 1
Set @KayitTarihi = '24.11.2021 20:37:37'
INSERT INTO TBLCARIGIRIS(
  KARTNO, KASA, ACIKLAMA, BELGENO, TARIH, CARIID, PERSONELID, DOVIZID,
  KUR, TUTARI, CARIDOVIZTUTARI, OZELKOD1, OZELKOD2, OZELKOD3,
  OZELKOD4, OZELKOD5, KAYITTARIHI, DELETED, YIL, AY, ENTEGRE)
SELECT 
  @KartNo, @Kasa, @Aciklama, @BelgeNo, @Tarih, @CariID, @PersonelID, 0,
  1, @Tutar, @Tutar, '', '', '',
  '', '', @KayitTarihi, 0, YEAR(@Tarih), MONTH(@Tarih), 0

INSERT INTO TBLCARIGIRISDETAY(
  BASLIKID, ISLEM, PORTFOYNO, ACIKLAMA, VADE, TUTAR, DOVIZID, KUR, SIRANO, PRIM)
SELECT 
  @KartNo, 0, '', '', '24.11.2021',216.2000, 0, 1, 1,0
UPDATE TBLCARI SET BAKIYE = (Select SUM(CARIBORC) - SUM(CARIALACAK) From CARIDOKUM WHERE CARIID = @CariID), TLBAKIYE= (Select SUM(TLBORC) - SUM(TLALACAK) From CARIDOKUM WHERE CARIID = @CariID)  WHERE KARTNO = @CariID
